

package gov.va.med.cds.filter;


import gov.va.med.cds.clinicaldata.FilterMetaDataInterface;

import java.util.Collection;


public interface FilterServiceInterface
{
    Collection<String> getVhimVersions( )
        throws FilterServiceException;

    Collection<String> getActiveFilterIds( String aVhimVersion )
        throws FilterServiceException;

    FilterMetaDataInterface getFilterMetaData( String aFilterId )
        throws FilterServiceException;

    void initialize( );
    
    boolean isAlive( );
    
}
